grk::Resolution Struct Reference

`#include <Resolution.h>`

Inheritance diagram for grk::Resolution:

## Public Member Functions

| Resolution (void)
| ~Resolution (void)
virtual void | print () const override
bool | init (TileProcessor *tileProcessor, TileComponentCodingParams *tccp, uint8_t resno)
ResSimple | genResSimple (void)
Public Member Functions inherited from grk::grk_rect< uint32_t >
| grk_rect (uint32_t origin_x0, uint32_t origin_y0, uint32_t x0, uint32_t y0, uint32_t x1, uint32_t y1)
| grk_rect (uint32_t x0, uint32_t y0, uint32_t x1, uint32_t y1)
| grk_rect (const grk_rect &rhs)
| grk_rect (const grk_rect *rhs)
| grk_rect (void)
virtual | ~grk_rect ()=default
grk_rect< uint32_t > & | setOrigin (uint32_t origx, uint32_t origy, bool absolute)
grk_rect< uint32_t > & | setOrigin (grk_rect< uint32_t > &rhs, bool absolute)
grk_rect< uint32_t > & | setOrigin (grk_rect< uint32_t > *rhs, bool absolute)
grk_rect< uint32_t > & | toRelative (void)
grk_rect< uint32_t > & | toAbsolute (void)
std::string | boundsString () const
bool | valid (void) const
bool | empty (void) const
bool | contains (grk_pt< uint32_t > pt)
bool | contains (uint32_t x, uint32_t y)
grk_rect< uint32_t > & | operator= (const grk_rect< uint32_t > &rhs)
grk_rect< uint32_t > & | operator= (const grk_rect< uint32_t > *rhs)
bool | operator== (const grk_rect< uint32_t > &rhs) const
void | setRect (grk_rect< uint32_t > *rhs)
void | setRect (grk_rect< uint32_t > rhs)
grk_rect< uint32_t > | scaleDownCeil (uint32_t den) const
grk_rect< uint32_t > | scaleDownCeil (uint64_t denx, uint64_t deny) const
grk_rect< uint32_t > | scale (uint32_t scalex, uint32_t scaley) const
grk_rect< uint32_t > | scaleDown (uint64_t denx, uint64_t deny) const
grk_rect< uint32_t > | scaleDownPow2 (uint32_t powx, uint32_t powy) const
grk_rect< uint32_t > | scaleDownPow2 (grk_pt< uint32_t > pow) const
grk_rect< uint32_t > | scaleDownCeilPow2 (uint32_t power) const
grk_rect< uint32_t > | scaleDownCeilPow2 (uint32_t powx, uint32_t powy) const
grk_rect< uint32_t > | intersection (const grk_rect< uint32_t > rhs) const
grk_rect< uint32_t > | intersection (const grk_rect< uint32_t > *rhs) const
bool | isContainedIn (const grk_rect< uint32_t > rhs) const
grk_rect< uint32_t > | clip (const grk_rect< uint32_t > *rhs) const
grk_rect< uint32_t > | clip (const grk_rect< uint32_t > &rhs) const
grk_rect< uint32_t > & | clip_IN_PLACE (const grk_rect< uint32_t > &rhs)
bool | nonEmptyIntersection (const grk_rect< uint32_t > *rhs) const
grk_rect< uint32_t > | rectUnion (const grk_rect< uint32_t > *rhs) const
grk_rect< uint32_t > | rectUnion (const grk_rect< uint32_t > &rhs) const
uint64_t | area (void) const
uint32_t | width () const
uint32_t | height () const
grk_line< uint32_t > | dimX () const
grk_line< uint32_t > | dimY () const
grk_rect< uint32_t > | pan (int64_t x, int64_t y) const
grk_rect< uint32_t > & | pan_IN_PLACE (int64_t x, int64_t y)
grk_rect< uint32_t > & | grow_IN_PLACE (uint32_t boundary)
grk_rect< uint32_t > & | grow_IN_PLACE (uint32_t boundaryx, uint32_t boundaryy)
grk_rect< uint32_t > & | grow_IN_PLACE (uint32_t boundary, uint32_t maxX, uint32_t maxY)
grk_rect< uint32_t > & | grow_IN_PLACE (uint32_t boundaryx, uint32_t boundaryy, uint32_t maxX, uint32_t maxY)
grk_rect< uint32_t > & | grow_IN_PLACE (uint32_t boundary, grk_rect< uint32_t > bounds)
grk_rect< uint32_t > & | grow_IN_PLACE (uint32_t boundaryx, uint32_t boundaryy, grk_rect< uint32_t > bounds)
uint32_t | parityX (void) const
uint32_t | parityY (void) const

## Public Attributes

bool | initialized
Subband | tileBand [BAND_NUM_INDICES]
uint8_t | numTileBandWindows
uint32_t | precinctGridWidth
uint32_t | precinctGridHeight
grk_pt32 | cblkExpn
grk_pt32 | precinctPartitionTopLeft
grk_pt32 | precinctExpn
grk_plugin_tile * | current_plugin_tile
ParserMap * | parserMap_
Public Attributes inherited from grk::grk_rect< uint32_t >
bool | absoluteCoordinates
uint32_t | origin_x0
uint32_t | origin_y0
uint32_t | x0
uint32_t | y0
uint32_t | x1
uint32_t | y1

## Constructor & Destructor Documentation

## Resolution()

grk::Resolution::Resolution | ( | void |  | ) |

## ~Resolution()

grk::Resolution::~Resolution | ( | void |  | ) |

References parserMap_.

## Member Function Documentation

## genResSimple()

ResSimple grk::Resolution::genResSimple | ( | void |  | ) |

References grk::BAND_INDEX_HH, grk::BAND_INDEX_HL, grk::BAND_INDEX_LH, grk::BAND_NUM_INDICES, grk::grk_read(), numTileBandWindows, and tileBand.

## init()

bool grk::Resolution::init | ( | TileProcessor * | tileProcessor,
|  | TileComponentCodingParams * | tccp,
|  | uint8_t | resno
| ) |  |

References cblkExpn, current_plugin_tile, grk::TileProcessor::current_plugin_tile, grk::floordivpow2(), grk::grk_read(), initialized, grk::TileProcessor::isCompressor(), grk::Subband::numPrecincts, numTileBandWindows, parserMap_, precinctExpn, precinctGridHeight, precinctGridWidth, precinctPartitionTopLeft, tileBand, grk::grk_pt< T >::x, grk::grk_rect< uint32_t >::x0, grk::grk_pt< T >::y, and grk::grk_rect< uint32_t >::y0.

## print()

void grk::Resolution::print | ( | void |  | ) | const

override virtual

Reimplemented from grk::grk_rect< uint32_t >.

References grk::grk_read(), numTileBandWindows, grk::Subband::print(), grk::grk_rect< uint32_t >::print(), and tileBand.

## Member Data Documentation

## cblkExpn

grk_pt32 grk::Resolution::cblkExpn

Referenced by init().

## current_plugin_tile

grk_plugin_tile* grk::Resolution::current_plugin_tile

Referenced by init().

## initialized

bool grk::Resolution::initialized

Referenced by init().

## numTileBandWindows

uint8_t grk::Resolution::numTileBandWindows

Referenced by genResSimple(), init(), and print().

## parserMap_

ParserMap* grk::Resolution::parserMap_

Referenced by grk::TileProcessor::decompressT2T1(), init(), and ~Resolution().

## precinctExpn

grk_pt32 grk::Resolution::precinctExpn

Referenced by init().

## precinctGridHeight

uint32_t grk::Resolution::precinctGridHeight

Referenced by init().

## precinctGridWidth

uint32_t grk::Resolution::precinctGridWidth

Referenced by init().

## precinctPartitionTopLeft

grk_pt32 grk::Resolution::precinctPartitionTopLeft

Referenced by init().

## tileBand

Subband grk::Resolution::tileBand[BAND_NUM_INDICES]

Referenced by grk::TileComponent::allocRegionWindow(), genResSimple(), grk::TileComponent::init(), init(), grk::TileProcessor::makeLayerFeasible(), grk::TileProcessor::makeLayerFinal(), grk::TileProcessor::makeLayerSimple(), grk::TileProcessor::pcrdBisectFeasible(), grk::TileProcessor::pcrdBisectSimple(), print(), grk::PacketParser::readData(), and grk::TileComponent::~TileComponent().

The documentation for this struct was generated from the following files:

- Resolution.h
- Resolution.cpp